csi2txss: Csi2txss_v1_0

| csi2txss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
Csi2txss_v1_0

## Functions
u32 | Csi2TxSs_IntrExample (u32 DeviceId)
| This function is the main entry point for the interrupt example using the XCsi2TxSs driver. More...
u32 | Csi2TxSs_PlatformInit (void)
| This function initialize required platform-specifc peripherals. More...
u32 | Csi2TxSs_SetupIntrSystem (XINTC *IntcInstPtr)
| This function sets up the interrupt system so interrupts can occur for the MIPI CSI2Tx Subsystem core. More...
void | Csi2TxSs_WrgLaneEventHandler (void *InstancePtr, u32 Mask)
| This function is called when Wrong number of lanes are configured by the MIPI CSI2Tx Subsystem core. More...
void | Csi2TxSs_GSPFullEventHandler (void *InstancePtr, u32 Mask)
| This function is called when Genric Short Packet FIFO is found full by the MIPI CSI2Tx Subsystem core. More...
void | Csi2TxSs_UlpsEventHandler (void *InstancePtr, u32 Mask)
| This function is called when there is a change in ULPS state of D-PHY Lanes. More...
void | Csi2TxSs_LinebufEventHandler (void *InstancePtr, u32 Mask)
| This function is called when a Line buffer is full event recieved by MIPI CSI2Tx Subsystem core. More...
void | Csi2TxSs_WrgDTypeEventHandler (void *InstancePtr, u32 Mask)
| This function is called when a event generated by unspported data type in GSP request to the MIPI CSI2Tx Subsystem core. More...
void | Csi2TxSs_UrunPixelEventHandler (void *InstancePtr, u32 Mask)
| This function is called when during packet transmission, byte stream FIFO is found to be starves for pixel by the MIPI CSI2Tx Subsystem core. More...
int | main ()
| This is the main function for XCsi2TxSs interrupt example. More...
u32 | Csi2TxSs_SelfTestExample (u32 DeviceId)
| This function is the main entry point for the self test example using the XCsi2TxSs driver. More...

## Function Documentation

void Csi2TxSs_GSPFullEventHandler | ( | void * | InstancePtr,
|  | u32 | Mask
| ) |  |

This function is called when Genric Short Packet FIFO is found full by the MIPI CSI2Tx Subsystem core.

Parameters

  InstancePtr | is a pointer to the XCsi2TxSs instance.
  Mask | of interrupt which caused this event

Returns
  None.

Note
  Use the XCsi2TxSs_SetCallback driver function to set this function as the handler for Packet level error event.

Referenced by Csi2TxSs_SetupIntrSystem().

u32 Csi2TxSs_IntrExample | ( | u32 | DeviceId | ) |

This function is the main entry point for the interrupt example using the XCsi2TxSs driver.

This function will set up the system with interrupts handlers.

Parameters

  DeviceId | is the unique device ID of the MIPI CSI2Tx Subsystem core.

Returns
  - XST_FAILURE if the system setup failed.
  - XST_SUCCESS should never return since this function, if setup was successful, is blocking.

Note
  If system setup was successful, this function is blocking in order to illustrate interrupt handling.

References XCsi2TxSs_Config::BaseAddr, Csi2TxSs_PlatformInit(), Csi2TxSs_SetupIntrSystem(), XCsi2TxSs_Activate(), XCsi2TxSs_CfgInitialize(), XCsi2TxSs_Configure(), XCsi2TxSs_LookupConfig(), XCsi2TxSs_ReportCoreInfo(), and XCsi2TxSs_Reset().

Referenced by main().

void Csi2TxSs_LinebufEventHandler | ( | void * | InstancePtr,
|  | u32 | Mask
| ) |  |

This function is called when a Line buffer is full event recieved by MIPI CSI2Tx Subsystem core.

Parameters

  InstancePtr | is a pointer to the XCsi2TxSs instance.
  Mask | of interrupt which caused this event

Returns
  None.

Note
  Use the XCsi2TxSs_SetCallback driver function to set this function as the handler for Line buffer full event.

Referenced by Csi2TxSs_SetupIntrSystem().

u32 Csi2TxSs_PlatformInit | ( | void |  | ) |

This function initialize required platform-specifc peripherals.

Parameters

  None. |

Returns
  - XST_SUCCESS if required peripherals are initialized and configured successfully.
  - XST_FAILURE, otherwise.

Note
  None.

Referenced by Csi2TxSs_IntrExample().

u32 Csi2TxSs_SelfTestExample | ( | u32 | DeviceId | ) |

This function is the main entry point for the self test example using the XCsi2TxSs driver.

This function check whether or not its sub-core drivers self test functions are in working state.

Parameters

  DeviceId | is the unique device ID of the MIPI CSI2 TX Subsystem core.

Returns
  - XST_FAILURE if any of MIPI CSI2 TX Subsystem sub-core self test failed.
  - XST_SUCCESS, if all of MIPI CSI2 TX Subsystem sub-core self test passed.

Note
  None.

References XCsi2TxSs_Config::BaseAddr, XCsi2TxSs_CfgInitialize(), XCsi2TxSs_LookupConfig(), and XCsi2TxSs_SelfTest().

u32 Csi2TxSs_SetupIntrSystem | ( | XINTC * | IntcInstPtr | ) |

This function sets up the interrupt system so interrupts can occur for the MIPI CSI2Tx Subsystem core.

The function is application-specific since the actual system may or may not have an interrupt controller. The MIPI CSI Subsystem core could be directly connected to a processor without an interrupt controller. The user should modify this function to fit the application.

Parameters

  IntcInstPtr | is a pointer to interrupt controller

Returns
  - XST_SUCCESS if interrupt setup was successful.
  - A specific error code defined in "xstatus.h" if an error occurs.

Note
  None.

References Csi2TxSs_GSPFullEventHandler(), Csi2TxSs_LinebufEventHandler(), Csi2TxSs_UlpsEventHandler(), Csi2TxSs_UrunPixelEventHandler(), Csi2TxSs_WrgDTypeEventHandler(), Csi2TxSs_WrgLaneEventHandler(), XCsi2TxSs_IntrHandler(), and XCsi2TxSs_SetCallBack().

Referenced by Csi2TxSs_IntrExample().

void Csi2TxSs_UlpsEventHandler | ( | void * | InstancePtr,
|  | u32 | Mask
| ) |  |

This function is called when there is a change in ULPS state of D-PHY Lanes.

Parameters

  InstancePtr | is a pointer to the XCsi2TxSs instance.
  Mask | of interrupt which caused this event

Returns
  None.

Note
  Use the XCsi2TxSs_SetCallback driver function to set this function as the handler for ULPS mode detection event.

Referenced by Csi2TxSs_SetupIntrSystem().

void Csi2TxSs_UrunPixelEventHandler | ( | void * | InstancePtr,
|  | u32 | Mask
| ) |  |

This function is called when during packet transmission, byte stream FIFO is found to be starves for pixel by the MIPI CSI2Tx Subsystem core.

Parameters

  InstancePtr | is a pointer to the XCsi2TxSs instance.
  Mask | of interrupt which caused this event

Returns
  None.

Note
  Use the XCsi2TxSs_SetCallback driver function to set this function as the handler for Byte stream FIFO starve event.

Referenced by Csi2TxSs_SetupIntrSystem().

void Csi2TxSs_WrgDTypeEventHandler | ( | void * | InstancePtr,
|  | u32 | Mask
| ) |  |

This function is called when a event generated by unspported data type in GSP request to the MIPI CSI2Tx Subsystem core.

Parameters

  InstancePtr | is a pointer to the XCsi2TxSs instance.
  Mask | of interrupt which caused this event

Returns
  None.

Note
  Use the XCsi2TxSs_SetCallback driver function to set this function as the handler for Short Packet FIFO error event.

Referenced by Csi2TxSs_SetupIntrSystem().

void Csi2TxSs_WrgLaneEventHandler | ( | void * | InstancePtr,
|  | u32 | Mask
| ) |  |

This function is called when Wrong number of lanes are configured by the MIPI CSI2Tx Subsystem core.

Parameters

  InstancePtr | is a pointer to the XCsi2TxSs instance.
  Mask | of interrupt which caused this event

Returns
  None.

Note
  Use the XCsi2TxSs_SetCallback driver function to set this function as the handler for wrong lane configuration event.

Referenced by Csi2TxSs_SetupIntrSystem().

int main | ( |  | ) |

This is the main function for XCsi2TxSs interrupt example.

This is the main function for XCsi2TxSs self test example.

If the Csi2TxSs_IntrExample function which sets up the system succeeds, this function will wait for the interrupts. Once a connection event or pulse is detected, Csi2TxSs will TX device capabilities and re-start the subsystem.

Parameters

  None. |

Returns
  - XST_FAILURE if the interrupt example was unsuccessful.
  - XST_SUCCESS if the interrupt example was successful.

Parameters

  None. |

Returns
  - XST_SUCCESS if the self test example passed.
  - XST_FAILURE if the self test example was unsuccessful.

Note
  None.

References Csi2TxSs_IntrExample().